glibmm 2.61.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
Gio::FileAttributeInfo Class Reference

Information about a specific attribute - see FileAttributeInfoList. More...

`#include </home/kjell/checkout/gnome/glibmm/gio/giomm/fileattributeinfo.h>`

## Public Types

## Public Member Functions
| FileAttributeInfo (const GFileAttributeInfo* ginfo)
| FileAttributeInfo (const FileAttributeInfo& other)
FileAttributeInfo& | operator= (const FileAttributeInfo& other)
| FileAttributeInfo (FileAttributeInfo&& other) noexcept
FileAttributeInfo& | operator= (FileAttributeInfo&& other) noexcept
| ~FileAttributeInfo ()
std::string | get_name () const
FileAttributeType | get_type () const
Flags | get_flags () const

## Protected Attributes
std::string | m_name
FileAttributeType | m_type
Flags | m_flags

## Detailed Description

Information about a specific attribute - see FileAttributeInfoList.

Since glibmm 2.16:

## Constructor & Destructor Documentation

Gio::FileAttributeInfo::FileAttributeInfo | ( | const GFileAttributeInfo * | ginfo | ) |
| explicit

Gio::FileAttributeInfo::FileAttributeInfo | ( | const FileAttributeInfo& | other | ) |

Gio::FileAttributeInfo::FileAttributeInfo | ( | FileAttributeInfo&& | other | ) |
| noexcept

Gio::FileAttributeInfo::~FileAttributeInfo | ( |  | ) |

## Member Function Documentation

Flags Gio::FileAttributeInfo::get_flags | ( |  | ) | const

std::string Gio::FileAttributeInfo::get_name | ( |  | ) | const

FileAttributeType Gio::FileAttributeInfo::get_type | ( |  | ) | const

FileAttributeInfo& Gio::FileAttributeInfo::operator= | ( | const FileAttributeInfo& | other | ) |

FileAttributeInfo& Gio::FileAttributeInfo::operator= | ( | FileAttributeInfo&& | other | ) |
| noexcept

## Member Data Documentation

Flags Gio::FileAttributeInfo::m_flags
| protected

std::string Gio::FileAttributeInfo::m_name
| protected

FileAttributeType Gio::FileAttributeInfo::m_type
| protected